from setuptools import setup

with open("README.md", "r") as fh:
    long_description = fh.read()
setup(
    name =          'rlgw',
    version =       '0.0.15',  # 0.0.x is for unstable versions
    url =           "https://github.com/Nelson-iitp/RL-GridWorld",
    author =        "Nelson.S",
    author_email =  "nelson_2121cs07@iitp.ac.in",
    description =   'Deterministic 2D grid-world for testing reinforcement learning algorithms',
    long_description=long_description,
    long_description_content_type="text/markdown",
    #py_modules =    ["rlgw"],
    packages =      ['rlgw'],
    license =       'Apache2.0',
    package_dir =   { '' : 'src'},
    classifiers =   [
                    "Programming Language :: Python :: 3",
                    "Programming Language :: Python :: 3.7",
                    "Programming Language :: Python :: 3.8",
                    "Operating System :: OS Independent",],
    install_requires = ["pygame","matplotlib","numpy","gym"],
    include_package_data=True
)


# ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+
# BUILD using pip
# ~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+~+
# cd to dir containing setup.py...
# python setup.py bdist_wheel
# python setup.py sdist
# python setup.py bdist_wheel sdist
# twine upload dist/*